# -*- rpm-spec -*-
# $Id: xpp,v 1.2 2002/08/13 08:57:42 grigory Exp $

Name: xpp
Version: 1.1
Release: alt7

Summary: X Printing Panel
License: GPL
Group: Publishing

Source: http://cups.sourceforge.net/xpp/%name-%{version}cvs.tar.bz2
Source1: xpp.png.bz2
Patch: %name-1.1-nau.patch

Url: http://cups.sourceforge.net/xpp/

# Automatically added by buildreq on Wed Oct 16 2002
BuildRequires: XFree86-devel XFree86-libs cups-common gcc-c++ libGLU-devel libcups-devel libdnet-devel libfltk-devel libssl libstdc++-devel

%description
The X Printing Panel (XPP) is a completely free tool for easy choosing of
the desired printer out of a list of all available printers and
for setting printer options by an easy-to-use graphical user interface.
One simply calls the program (xpp) instead of the usual utilities
(lpr or lp) at the command line or out of applications.

%prep
%setup -q
%patch -p1
# Load menu icon
bzcat %SOURCE1 > $RPM_BUILD_DIR/%name-%version/xpp.png

%build
export CXXFLAGS="${CXXFLAGS:-%optflags} -fno-exceptions -fno-rtti"
%configure
%__subst 's/\/usr\/lib\/libfltk\.a/-lfltk/g' Makefile
%make_build

%install
%makeinstall

# install menu icon
%__install -d %buildroot/%_datadir/icons/locolor/16x16/apps
%__install -m 644 xpp.png %buildroot/%_iconsdir/locolor/16x16/apps

# install menu entry
%__install -d %buildroot/%_menudir
%__cat <<EOF > %buildroot/%_menudir/xpp
?package(xpp): needs=X11 \
section=Applications/Publishing \
title="X Printing Panel" \
longtitle="Frontend for easy printing with CUPS" \
command="xpp" \
icon="%_iconsdir/locolor/16x16/apps/xpp.png"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%doc README LICENSE ChangeLog
%_bindir/%name
%_iconsdir/locolor/16x16/apps/*
%_menudir/%name

%changelog
* Wed Oct 16 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1-alt7
- rebuild
- fix path

* Fri Aug 16 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1-alt6
- CVS snapshot

* Tue Aug 13 2002 Grigory Milev <week@altlinux.ru> 1.1-alt5
- recompile with libfltk-1.1.0rc5

* Thu Mar 21 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1-alt4
- buildreq fix

* Tue Feb 12 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1-alt3
- update from MDK

* Thu Feb 07 2002 AEN <aen@logic.ru> 1.1-alt2
- patch for nau dnd support

* Wed Jan 30 2002 Stanislav Ievlev <inger@altlinux.ru> 1.1-alt1
- 1.1

* Fri Jul 20 2001 AEN <aen@logic.ru> 1.0-ipl2mdk
- rebuild with cups-1.1.9

* Tue Mar 6 2001 AEN <aen@logic.ru>
- 1.0

* Thu Jan 09 2001 AEN <aen@logic.ru>
- adopted for RE
- fixed BuildRequires
- linking fltk dynamic

* Sun Jan 07 2001 David BAUDENS <baudens@mandrakesoft.com> 0.7-2mdk
- s/Copyright/License
- Fix BuildRequires
- %%setup -q
- Use %%_menudir macro
- Fix %%post and %%postun sections
- Clean %%files section
- Spec clean up

* Wed Dec 20 2000 Till Kamppeter <till@mandrakesoft.com> 0.7-1mdk
- Version 0.7
- FLTK 1.0.10 used
- Adapted to new cups package

* Wed Nov 15 2000 Till Kamppeter <till@mandrakesoft.com> 0.6-17mdk
- Recompiled with GCC 2.96

* Tue Oct  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.6-16mdk
- added BuildRequires on: cups-devel fltk-devel Mesa-common-devel libstdc++-devel.

* Tue Sep 26 2000 Till Kamppeter <till@mandrakesoft.com> 0.6-15mdk
- Updated URL to http://cups.sourceforge.net/xpp/

* Tue Sep 26 2000 Till Kamppeter <till@mandrakesoft.com> 0.6-14mdk
- CVS Update: Now numerical options can also be read in PPD files with
  dossy line ends ("\n\r" instead of "\n").

* Sun Sep 24 2000 Till Kamppeter <till@mandrakesoft.com> 0.6-13mdk
- CVS Update: Integer and floating point options of CUPS-O-MATIC PPDs are
  supported now.

* Sat Sep 23 2000 Till Kamppeter <till@mandrakesoft.com> 0.6-12mdk
- CVS Update: "Authentication ..." line in login/password dialog is
  also displayed with CUPS 1.1.3.

* Thu Sep  7 2000 Till Kamppeter <till@mandrakesoft.com> 0.6-11mdk
- CVS Update: Main window is resizable now.

* Sat Aug 26 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.6-10mdk
- Removed hardcoded architecture-specific flags, used macros instead

* Fri Aug 25 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.6-9mdk
- Entry for Mandrake menu structure added

* Wed Aug 23 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.6-8mdk
- Clean-up of "./configure" call in specfile

* Wed Aug 23 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.6-7mdk
- Removed hardcoded "i586-mandrake-linux" from specfile

* Wed Aug 23 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.6-6mdk
- Deactivated positioning of the printer list to make default printer visible,
  a bug in FLTK messed up the display of the printer list.
- Optical enhancements of the printer list.

* Sun Aug 20 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.6-5mdk
- Updated to version 0.6: Full support for password-protected printers, more
  information in printer list, printing with or saving conflicting options
  is not possible any more.

* Wed Aug 16 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.5-4mdk
- Updated to version 0.5: Margin options for text file printing and options
  for HP-GL/2 printing, "Reverse" page orientations, window does not close
  when printing leads to an error

* Sun Aug 13 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.4-3mdk
- New CVS version: Now the widgets on the "Basic" tab of the options window
  are coupled to the appropriate PPD options, instance names are read, and
  types of destinations without PPD file are displayed.

* Thu Aug 10 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.4-2mdk
- Removed "fltk" from "Requires:" line.
- FLTK now linked statically into XPP -> Fast load and no widget lib needs
  to be installed.

* Wed Aug  9 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 0.4-1mdk
- Updated to version 0.4.
- Added "fltk" to "Requires:" line.

* Thu Jul  6 2000 Franois Pons <fpons@mandrakesoft.com> 0.2-0.1mdk
- patch for Makefile to link against optimized fltk.
- initial release.

